Bug 22447 - регистрировать сессию в ConsoleKit
: регистрировать сессию в ConsoleKit
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/autologin)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-05 12:42 by
Modified: 2009-12-16 19:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-12-05 12:42:04
в autologin нужно заменить pam_console на pam_ck_connector.so

или дописать ещё одну строчку с pam_ck_connector

Без этого не работает сохранение настроек звука, как минимум. Думаю, что ещё не
работают сменные устройства (flash накопители и т.д.)

Прошу NMU или ACL, ибо autologin'ом пользуюсь постоянно на Sisyphus.
------- Comment #1 From 2009-12-05 12:55:46 -------
pam_console пока убирать не надо
------- Comment #2 From 2009-12-05 23:21:18 -------
*** Bug 22440 has been marked as a duplicate of this bug. ***
------- Comment #3 From 2009-12-08 12:19:38 -------
Разве для сохранения настроек звука недостаточно sound-scripts?

А вот сменные устройства при входе через autologin у меня действительно не
монтируются, и pam_ck_connector никак не помогает
------- Comment #4 From 2009-12-08 12:24:42 -------
При попытке смонтировать флешку средствами XFCE я получаю:

Не удалось подключить "KINGSTON".

Rejected send message, 1 matched rules; type="method_call",
sender=":1.8" (uid=500 pid=5986 comm="exo-mount)
interface="org.freedesktop.Hal.Device.Volume" member="Mount" error
name="(unset)" requested_reply=0 destination="org.freedesktop.Hal"
(uid=0 pid=4971 comm="/usr/sbin/hald)).

Это происходит независимо от наличия/отсуствия pam_ck_connector в
/etc/pam.d/autologin на текущем Сизифе
------- Comment #5 From 2009-12-12 02:42:38 -------
autologin-1:1.0.0-alt4 -> sisyphus:

* Mon Dec 07 2009 Anton Farygin <rider@altlinux> 1:1.0.0-alt4

- add pam_ck_connector.so (closes #22447)
------- Comment #6 From 2009-12-16 17:35:22 -------
(In reply to comment #1)
> pam_console пока убирать не надо

Почему не надо?  А если я этот патч приложу:
http://cvs.fedoraproject.org/viewvc/rpms/pam/F-12/pam-1.1.0-console-nochmod.patch?revision=1.1&view=markup

Какой смысл в pam_console без pam_console_apply?
------- Comment #7 From 2009-12-16 17:46:00 -------
это было 11 дней назад. но раз доктор сказал в морг, значит в морг
------- Comment #8 From 2009-12-16 17:54:48 -------
(In reply to comment #7)
> это было 11 дней назад. но раз доктор сказал в морг, значит в морг

А какая сущность теперь отвечает за обновление прав доступа на устройства при
смене активной консоли?
------- Comment #9 From 2009-12-16 17:59:29 -------
ConsoleKit/udev-extras
------- Comment #10 From 2009-12-16 18:58:31 -------
(In reply to comment #9)
> ConsoleKit/udev-extras

В какой мере оно готово исполнять обязанности pam_console_apply?
От этого зависит время жизни pam_console.
------- Comment #11 From 2009-12-16 19:11:53 -------
(В ответ на комментарий №10)
> (In reply to comment #9)
> > ConsoleKit/udev-extras
> 
> В какой мере оно готово исполнять обязанности pam_console_apply?

полностью. pam_console_apply мне сейчас только мешает

> От этого зависит время жизни pam_console.